<?php

include 'inclydings/gzips.php';
include 'mysql.php';
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';


$dir = opendir ("pik4erspic/smiles");
while ($file = readdir ($dir)) 
{ if (ereg (".gif$", "$file"))
{$a[]=$file;}}  
closedir ($dir); 
sort($a);

$total = count($a); 
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){ 

$smkod=str_replace(".gif","",$a[$i]);

echo '<img src="pik4erspic/smiles/'.$a[$i].'" alt="">'; 
echo '- :'.$smkod.'<br>';
}


$a=count($a);
$ba=ceil($a/10);
$ba2=floor(($a-1)/10)*10;

echo'<br/>Страницы:';
$asd=$start-(10*4);
$asd2=$start+(10*5);

if($asd<$a && $asd>0){echo " <a href=\"sm.php?$sd&start=0&amp;id=\">1</a> ... ";}

for($i=$asd; $i<$asd2;)
{
if($i<$a && $i>=0){
$ii=floor(1+$i/10);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo " <a href=\"sm.php?$sd&start=$i&amp;id=\">$ii</a>";
                     }}


$i=$i+10;}
if($asd2<$a){echo " ... <a href=\"sm.php?$sd&start=$ba2\">$ba</a>";}

echo'<hr>';
echo "<a href=\"chat.php?$sd\"> Вернуться в чат</a><br>";
echo "<a href=\"chat_torg.php?$sd\"> Вернуться в торговый чат</a><br>";



include 'inclydings/down.php';
?>